Prev |  |

# FcFreeTypeQueryFace

## Name

FcFreeTypeQueryFace -- compute pattern from FT_Face

## Synopsis

    #include <fontconfig.h>
    #include <fcfreetype.h>

``FcPattern * FcFreeTypeQueryFace`(const FT_Face face, const FcChar8 *file, int id, FcBlanks *blanks);`

## Description

Constructs a pattern representing 'face'. 'file' and 'id' are used solely as data for pattern elements (FC_FILE, FC_INDEX and sometimes FC_FAMILY). FcBlanks is deprecated, `blanks` is ignored and accepted only for compatibility with older code.

Prev | Home |
FcFreeTypeQueryAll | Up |